cgGetFirstState(3)

NAME
cgGetFirstState - get the first state definition in a context

SYNOPSIS
  #include <Cg/cg.h>
  CGstate cgGetFirstState( CGcontext context );

PARAMETERS

context
    The context from which to retrieve the first state definition.

RETURN VALUES
Returns the first CGstate object in context.

Returns NULL if context contains no state definitions or an error occurs.

DESCRIPTION
cgGetFirstState is used to begin iteration over all of the state definitions contained within a context. See the cgGetNextState manpage for more information.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

HISTORY
cgGetFirstState was introduced in Cg 1.4.

SEE ALSO
the cgGetNextState manpage, the cgGetNamedState manpage, the cgIsState manpage